import 'flutter_blockchain.dart';

class DCR {
  static final String MAINNET = 'mainnet';
  static final String FISTNET = 'fistnet';
  static final String TESTNET = 'testnet3';
  

  static Future<String> randomMnemonic() async {
    return await FlutterBlockchain.randomDCRMnemonic();
  }

  static Future<String> address(String mnemonic,String netparam) async {
    return await FlutterBlockchain.DcrAddress(mnemonic,netparam);
  }

  static Future<String> transfer(String mnemonic, String netparam,String address,double amount,List<String> utxos) async{
    return await FlutterBlockchain.DcrTransaction(mnemonic, netparam, address, amount, utxos);
  }
}
