import 'flutter_blockchain.dart';

class ETH {
  static Future<String> address(String mnemonic) async {
    return await FlutterBlockchain.ethAddress(mnemonic);
  }

  static Future<String> transfer(String mnemonic, address, int chainId, nonce,
      gasPrice, gasLimit, amount, String data) async {
    return await FlutterBlockchain.ethTransfer(
        mnemonic, address, chainId, nonce, gasPrice, gasLimit, amount, data);
  }
}
